<%
Set objConn = CreateObject("ADODB.Connection")
objConn.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & _
Server.MapPath ("Carousel.mdb") & ";"
objConn.Open
getS = Request.QueryString("ID")
if isNumeric(getS)=false then getS=1   ' added to prevent sql injection
Set objRs=CreateObject("ADODB.RecordSet")
getSQL = "SELECT MID, ImageTitle, ImageName, ID FROM MyImages WHERE ID="& getS &""
objRs.Open getSQL, objConn, 1, 1, 1

Set rsMyCount=CreateObject("ADODB.RecordSet")
sqlCount = "SELECT Count(MyImages.ID) AS CountOfID, ID FROM MyImages GROUP BY ID HAVING ID="& getS &""
rsMyCount.Open sqlCount, objConn, 1, 1, 1
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>

<head>
<title>Carousel Component Example - Static HTML Content</title>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">

	<script type="text/javascript" src="http://yui.yahooapis.com/combo?2.6.0/build/utilities/utilities.js&2.6.0/build/container/container_core-min.js"></script> 
	<script type="text/javascript" src="scripts/carousel.js"></script>

	<link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/combo?2.6.0/build/reset-fonts-grids/reset-fonts-grids.css&2.6.0/build/base/base-min.css">
	<link href="css/carousel.css" rel="stylesheet" type="text/css">
	<link href="css/yui.css" rel="stylesheet" type="text/css">
<!-- 
	Inlined styles for my overrides to the carousel for this demo.
	Normally I would put this in a separate CSS file.
-->
<style type="text/css">
.carousel-component { 
	padding:8px 16px 4px 16px;
	margin:0px;
}

.carousel-component .carousel-list li { 
	margin:4px;
	width:79px; /* img width is 75 px from flickr + a.border-left (1) + a.border-right(1) + 
	               img.border-left (1) + img.border-right (1)*/
	height:93px; /* image + row of text (87) + border-top (1) + border-bottom(1) + margin-bottom(4) */
	/*	margin-left: auto;*/ /* for testing IE auto issue */
}

.carousel-component .carousel-list li a { 
	display:block;
	border:1px solid #e2edfa;
	outline:none;
}

.carousel-component .carousel-list li a:hover { 
	border: 1px solid #aaaaaa; 
}

.carousel-component .carousel-list li img { 
	border:1px solid #999;
	display:block; 
}
								
.carousel-component .carousel-prev { 
	position:absolute;
	top:40px;
	z-index:3;
	cursor:pointer; 
	left:5px; 
}

.carousel-component .carousel-next { 
	position:absolute;
	top:40px;
	z-index:3;
	cursor:pointer; 
	right:5px; 
}
</style>

<script type="text/javascript">

/**
 * Custom button state handler for enabling/disabling button state. 
 * Called when the carousel has determined that the previous button
 * state should be changed.
 * Specified to the carousel as the configuration
 * parameter: prevButtonStateHandler
 **/
var handlePrevButtonState = function(type, args) {

	var enabling = args[0];
	var leftImage = args[1];
	if(enabling) {
		leftImage.src = "images/left-enabled.gif";	
	} else {
		leftImage.src = "images/left-disabled.gif";	
	}
	
};

/**
 * Custom button state handler for enabling/disabling button state. 
 * Called when the carousel has determined that the next button
 * state should be changed.
 * Specified to the carousel as the configuration
 * parameter: nextButtonStateHandler
 **/
var handleNextButtonState = function(type, args) {

	var enabling = args[0];
	var rightImage = args[1];
	
	if(enabling) {
		rightImage.src = "images/right-enabled.gif";
	} else {
		rightImage.src = "images/right-disabled.gif";
	}
	
};


/**
 * You must create the carousel after the page is loaded since it is
 * dependent on an HTML element (in this case 'mycarousel'.) See the
 * HTML code below.
 **/
var carousel; // for ease of debugging; globals generally not a good idea
var pageLoad = function() 
{
	carousel = new YAHOO.extension.Carousel("mycarousel", 
		{
			numVisible:        3,
			animationSpeed:    0.15,
			scrollInc:         3,
			navMargin:         20,
			prevElement:     "prev-arrow",
			nextElement:     "next-arrow",
<%' This is added to get the count for the ID, if not then there will be empty space in the Carousel%>			
			size:              <%=rsMyCount("CountOfID")%>,
			prevButtonStateHandler:   handlePrevButtonState,
			nextButtonStateHandler:   handleNextButtonState
		}
	);

};

YAHOO.util.Event.addListener(window, 'load', pageLoad);

</script>
</head>

<body >

<div id="doc" class="yui-t7">
   <div id="hd">
		<h1>Dynamic Images - Carousel <sup>(Edited by: EE's very own Carrzkiss)</sup></h1>
  </div>
<div id="bd">
<p>This example I have implemented an Access Database into the project. This makes the Carousel much more flexible then that of static images. Using the database in this way, creates Dynamic Images.</p>
ID= <%=objRs("id")&"&nbsp;has&nbsp;"&rsMyCount("CountOfID")%> image(s)  
<!-- Carousel Structure -->
<div id="mycarousel" class="carousel-component">
	<div class="carousel-prev">
		<img id="prev-arrow" class="left-button-image" 
			src="images/left-enabled.gif" alt="Previous Button"/>	</div>
	<div class="carousel-next">
		<img id="next-arrow" class="right-button-image" 
			src="images/right-enabled.gif" alt="Next Button"/>	</div>
	<div class="carousel-clip-region">
		<ul class="carousel-list">    
<%
idcounter=0
While Not objRs.EOF
	idcounter=idcounter+1
%>        
<li id="mycarousel-item-<%=idcounter%>"><div><a href="#"><img width="75" height="75" src="images/<%=objRS("ImageName")%>" alt="<%=objRS("ImageTitle")%>"/></a><%=objRS("ImageTitle")%></div></li>
<%
    objRs.MoveNext
    Wend
    objRs.Close
    Set objRs=Nothing
%>
</ul>
	</div>
</div>
</div>
</div> 

</body>
</html>